<?php
#-------------------------------------------------------------------------
# Module: Newsletter Made Simple
#        (c) to 2008 by Paul Lempkepf
#        (c) 2008 and on by Robert Campbell (calguy1000@cmsmadesimple.org)
#
#  An addon module for CMS Made Simple to provide a flexible
#  mailing list solution.
#
#-------------------------------------------------------------------------
# CMSMS - CMS Made Simple is (c) 2005 by Ted Kulp (wishy@cmsmadesimple.org)
# Visit the CMSMS Homepage at: http://www.cmsmadesimple.org
#
#-------------------------------------------------------------------------
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# However, as a special exception to the GPL, this software is distributed
# as an addon module to CMS Made Simple.  You may not use this software
# in any Non GPL version of CMS Made simple, or in any version of CMS
# Made simple that does not indicate clearly and obviously in its admin
# section that the site was built with CMS Made simple.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
# Or read it online: http://www.gnu.org/licenses/licenses.html#GPL
#
#-------------------------------------------------------------------------
#END_LICENSE
if( !isset($gCms) ) exit;
if (!$this->CheckPermission('Modify Site Preferences')) return;

if( isset( $params['input_reset'] ) ) {
  $this->SetPreference('subscribe_posttext', $this->Lang('default_postsubscribe_text'));
  $this->SetPreference('subscribe_email_html',1);
  $this->SetPreference('subscribe_subject', $this->Lang('default_subscribe_subject'));
  $this->SetTemplate("subscribe_email_body", file_get_contents(__DIR__.'/templates/orig_subscribe_email_body.tpl'));

  $tpl = file_get_contents(__DIR__.'/templates/orig_subscribe_form.tpl');
  $this->SetTemplate('nms_subscribeform', $tpl);
} else {
  $this->SetTemplate('nms_subscribeform', trim($params['subscribe_form']));
  $this->SetPreference('subscribe_email_html',(int)$params['subscribe_email_html']);
  $this->SetTemplate('subscribe_email_body', isset($params['subscribe_email_body'])?$params['subscribe_email_body']:'');
  $this->SetPreference('subscribe_posttext', $params['postsubscribetext']);
  $this->SetPreference('subscribe_subject', isset($params['subscribe_subject'])?$params['subscribe_subject']:'');
}
$this->RedirectToTab($id,'subscribe_form');

#
# EOF
#
?>